#include <LiquidCrystal_I2C.h> //Hinzugefügte Bibliothek 
#define LED_PIN 3 //Pin-Nummer für die Hintergrundbeleuchtung.

LiquidCrystal_I2C lcd(0x27, 16, 2); //Hinzugefügte Bibliothek

String reihe1 = "Display LCD mit";  //reihe1 und reihe2 sind Variablen, 
String reihe2 = "I2C-Schnittstelle";//um die Schriften auf beiden Zeilen des LCD-Displays enthalten zu können

void setup(){
  lcd.init(); //Im Setup wird der LCD gestartet 
  lcd.backlight(); //Hintergrundbeleuchtung einschalten (lcd.noBacklight(); schaltet die Beleuchtung aus). 
  pinMode(LED_PIN, OUTPUT);
  analogWrite(LED_PIN, 50); // Helligkeit des Displays.Man kann zwischen 0 und 255 wählen.
}

void loop() {
  lcd.clear();  //Mit dieser Anweisung setzen wir das LCD-Display wieder auf null
  lcd.setCursor(0, 0);  //Hier wird die Position des ersten Zeichens festgelegt. 
  //In diesem Fall bedeutet (0,0) das erste Zeichen in der ersten Zeile.
  typewriting(reihe1);
  lcd.setCursor(0, 1);//In diesem Fall bedeutet (0,1) das erste Zeichen in der zweiten Zeile.
  typewriting(reihe2);
  delay(1000);
}

void typewriting(String nachricht){
  int length = nachricht.length ();
  for(int i = 0; i < length; i++){
    lcd.print(nachricht[i]);
    delay(150);
  }
}
